# libtraceevent(3) Manual Page

## NAME

tep_set_loglevel - Set log level of the library

## SYNOPSIS

    #include <event-parse.h>

    enum tep_loglevel {
            TEP_LOG_NONE = 0,
            TEP_LOG_CRITICAL,
            TEP_LOG_ERROR,
            TEP_LOG_WARNING,
            TEP_LOG_INFO,
            TEP_LOG_DEBUG,
            TEP_LOG_ALL
    };

    int tep_set_loglevel(enum tep_loglevel level);

## DESCRIPTION

The tep_set_loglevel() function sets the level of the library logs that will be printed on the console. Library log levels are:

            TEP_LOG_NONE - Do not print any logs.
            TEP_LOG_CRITICAL - Print critical logs, problem that may cause a crash.
            TEP_LOG_ERROR - Print error logs, problem that could break the main logic of an API.
            TEP_LOG_WARNING - Print warnings, problem that could limit the result of an API.
            TEP_LOG_INFO - Print information about normal execution of an API.
            TEP_LOG_DEBUG - Print debug information.
            TEP_LOG_ALL - Print logs from all levels.

Setting the log level to specific value means that logs from the previous levels will be printed too. For example TEP_LOG_WARNING will print any logs with severity TEP_LOG_WARNING, TEP_LOG_ERROR and TEP_LOG_CRITICAL. The default log level is TEP_LOG_CRITICAL.

## EXAMPLE

## FILES

    event-parse.h
            Header file to include in order to have access to the library APIs.
    -ltraceevent
            Linker switch to add when building a program that uses the library.

## SEE ALSO

libtraceevent(3), trace-cmd(1)

## AUTHOR

    Steven Rostedt <rostedt@goodmis.org>, author of libtraceevent.
    Tzvetomir Stoyanov <tz.stoyanov@gmail.com>, author of this man page.

## REPORTING BUGS

Report bugs to <linux-trace-devel@vger.kernel.org>

## LICENSE

libtraceevent is Free Software licensed under the GNU LGPL 2.1

## RESOURCES

https://git.kernel.org/pub/scm/libs/libtrace/libtraceevent.git/